Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class kill_agent

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.kill_agent

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class kill_agent

extends DefaultInternalAction

Internal action: `.kill_agent`.

Description: kills the agent whose name is given as parameter. This is a provisional internal action to be used while more adequate mechanisms for creating and killing agents are being developed. In particular, note that an agent can kill any other agent, without any consideration on permissions, etc.! It is the programmers' responsibility to use this action.

Parameters:

- + name (atom or string): the name of the agent to be killed.

Example:

- `.kill_agent(bob)`: kills the agent named bob.

See Also:
  `create_agent`, `stopMAS`, `RuntimeServicesInfraTier`, Serialized Form

Constructor Summary
`kill_agent()`

Method Summary
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### kill_agent

    public kill_agent()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD